#ifdef __GNUC__
#pragma implementation
#endif

#include <aconf.h>
#include <stdio.h>
#include <stddef.h>
#include <stdarg.h>
#include "GlobalParams.h"
#include "Error.h"

void CDECL error(int pos, char *msg, ...) 
{
#ifdef _DEBUG
	va_list args;
	// NB: this can be called before the globalParams object is created
	if (globalParams && globalParams->getErrQuiet()) 
		return;
	if (pos >= 0) 
	{
		//fprintf(stderr, "Error (%d): ", pos);
		TRACE("Error (%d): ", pos);
	}
	else 
	{
		//fprintf(stderr, "Error: ");
		TRACE("Error: ");
	}
	char errormsg[100];
	va_start(args, msg);
	vfprintf(stderr, msg, args);
	//vsfprintf(errormsg, msg, args);
	va_end(args);

	TRACE("%s",errormsg);
	TRACE("\n");
	//fprintf(stderr, "\n");
	//fflush(stderr);
#endif
}
