// HTMLPage.cpp : implementation file
//

#include "stdafx.h"
#include "win_pdf2htm.h"
#include "HTMLPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHTMLPage property page

IMPLEMENT_DYNCREATE(CHTMLPage, CPropertyPage)

CHTMLPage::CHTMLPage() : CPropertyPage(CHTMLPage::IDD)
{
	//{{AFX_DATA_INIT(CHTMLPage)
	m_szPageTitle = _T("");
	m_iPageTitle = 0;
	m_clBackground = RGB(255,255,255);
	m_szPageKeywords = _T("");
	m_bHomepageURL = FALSE;
	m_strHomepageURL = _T("");
	//}}AFX_DATA_INIT
}

CHTMLPage::~CHTMLPage()
{
}

void CHTMLPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHTMLPage)
//	DDX_Text(pDX, IDC_EDIT_HTML_PAGE_TITLE, m_szPageTitle);
//	DDX_Text(pDX, IDC_EDIT_HTML_KEYWORDS, m_szPageKeywords);
//	DDX_Check(pDX, IDC_CHECK_HOMEURL, m_bHomepageURL);
//	DDX_Text(pDX, IDC_EDIT_HOMEPAGEURL, m_strHomepageURL);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHTMLPage, CPropertyPage)
	//{{AFX_MSG_MAP(CHTMLPage)
	ON_BN_CLICKED(IDC_RADIO_PAGETITLE1, OnRadioPagetitle1)
	ON_BN_CLICKED(IDC_RADIO_PAGETITLE2, OnRadioPagetitle2)
//	ON_BN_CLICKED(IDC_BUTTON_COLOR, OnButtonColor)
	ON_WM_PAINT()
//	ON_BN_CLICKED(IDC_CHECK_HOMEURL, OnCheckHomeurl)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHTMLPage message handlers

void CHTMLPage::OnOK() 
{
	UpdateData();
	AfxGetApp()->WriteProfileInt("CHTMLPage","m_iPageTitle",m_iPageTitle);
	AfxGetApp()->WriteProfileString("CHTMLPage","m_szPageTitle",m_szPageTitle);
	AfxGetApp()->WriteProfileInt("CHTMLPage","m_clBackground",m_clBackground);
	AfxGetApp()->WriteProfileString("CHTMLPage","m_szPageKeywords",m_szPageKeywords);
	AfxGetApp()->WriteProfileInt("CHTMLPage","m_bHomepageURL",m_bHomepageURL);
	AfxGetApp()->WriteProfileString("CHTMLPage","m_strHomepageURL",m_strHomepageURL);

	CPropertyPage::OnOK();
}

BOOL CHTMLPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	m_iPageTitle = AfxGetApp()->GetProfileInt("CHTMLPage","m_iPageTitle",0);
	m_szPageTitle = AfxGetApp()->GetProfileString("CHTMLPage","m_szPageTitle");
	m_clBackground = AfxGetApp()->GetProfileInt("CHTMLPage","m_clBackground",m_clBackground);
	m_szPageKeywords = AfxGetApp()->GetProfileString("CHTMLPage","m_szPageKeywords");
	m_bHomepageURL = AfxGetApp()->GetProfileInt("CHTMLPage","m_bHomepageURL",0);
	m_strHomepageURL = AfxGetApp()->GetProfileString("CHTMLPage","m_strHomepageURL","http://www.bumpnetworks.com/?software");

	UpdateOptions();
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CHTMLPage::OnRadioPagetitle1() 
{
	m_iPageTitle = 0;
	UpdateOptions();
}

void CHTMLPage::OnRadioPagetitle2() 
{
	m_iPageTitle = 1;
	UpdateOptions();
}
void CHTMLPage::UpdateOptions() 
{
	switch(m_iPageTitle)
	{
	case 0:
		((CButton*)GetDlgItem(IDC_RADIO_PAGETITLE1))->SetCheck(1);
		((CButton*)GetDlgItem(IDC_RADIO_PAGETITLE2))->SetCheck(0);
//		((CButton*)GetDlgItem(IDC_EDIT_HTML_PAGE_TITLE))->EnableWindow(FALSE);
		break;
	case 1:
		((CButton*)GetDlgItem(IDC_RADIO_PAGETITLE1))->SetCheck(0);
		((CButton*)GetDlgItem(IDC_RADIO_PAGETITLE2))->SetCheck(1);
//		((CButton*)GetDlgItem(IDC_EDIT_HTML_PAGE_TITLE))->EnableWindow(TRUE);
		break;
	}
//	((CButton*)GetDlgItem(IDC_EDIT_HOMEPAGEURL))->EnableWindow(m_bHomepageURL);
}

void Links_SetButtonColor(HWND hDlg,COLORREF color)
{//set color
	HWND hwnd = GetDlgItem(hDlg,IDC_STATIC_BACKGROUND);
	RECT rect,rect1;
	GetWindowRect(hwnd,&rect);

	rect1.left = 2;
	rect1.top = 2;
	rect1.right = rect.right-rect.left - 3;
	rect1.bottom = rect.bottom - rect.top - 3;

	HBRUSH hBrush = (HBRUSH)CreateSolidBrush(color);
	HDC hdc = GetDC(hwnd);
	FillRect(hdc,&rect1,hBrush);
	ReleaseDC(hwnd,hdc);
	DeleteObject(hBrush);
}
void CHTMLPage::OnButtonColor() 
{
	CHOOSECOLOR cc;                 // common dialog box structure 
	COLORREF acrCustClr[16]; // array of custom colors 
	// Initialize CHOOSECOLOR 
	ZeroMemory(&cc, sizeof(CHOOSECOLOR));
	cc.lStructSize = sizeof(CHOOSECOLOR);
	cc.hwndOwner = (HWND)m_hWnd;
	cc.lpCustColors = (LPDWORD) acrCustClr;
	cc.rgbResult = m_clBackground;
	cc.Flags = CC_FULLOPEN | CC_RGBINIT;
	if (ChooseColor(&cc)==TRUE)
	{
		m_clBackground = cc.rgbResult;
		Invalidate();
	}
}

void CHTMLPage::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	Links_SetButtonColor(m_hWnd,m_clBackground);
	
	// Do not call CPropertyPage::OnPaint() for painting messages
}

void CHTMLPage::OnCheckHomeurl() 
{
	UpdateData();
	UpdateOptions();	
}
