#include "stdafx.h"
#include "win_pdf2htm.h"
#include "Html2pdf.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHtml2pdf property page

IMPLEMENT_DYNCREATE(CHtml2pdf, CPropertyPage)

CHtml2pdf::CHtml2pdf() : CPropertyPage(CHtml2pdf::IDD)
{
	//{{AFX_DATA_INIT(CHtml2pdf)
	m_charSpace = 0;
	m_bCheckSpace = FALSE;
	//}}AFX_DATA_INIT
}

CHtml2pdf::~CHtml2pdf()
{
}

void CHtml2pdf::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHtml2pdf)
	DDX_Control(pDX, IDC_SPIN_SPACE, m_ctrlSpinSpace);
//	DDX_Text(pDX, IDC_EDIT_SPACES, m_charSpace);
	DDV_MinMaxInt(pDX, m_charSpace, 0, 50);
//	DDX_Check(pDX, IDC_CHECK_CHECKSPACE, m_bCheckSpace);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHtml2pdf, CPropertyPage)
	//{{AFX_MSG_MAP(CHtml2pdf)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHtml2pdf message handlers

BOOL CHtml2pdf::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	char szCurDir[_MAX_PATH];
	GetModuleFileName(NULL, szCurDir, _MAX_PATH);
	CString t = szCurDir;
	int pos = t.ReverseFind('\\');
	strInitFileName = t.Left(pos+1) + "config.ini";
	m_charSpace = GetPrivateProfileInt("PDF2HTM","CharSpaces",50,strInitFileName);

	m_bCheckSpace = AfxGetApp()->GetProfileInt("PDF2HTM","CheckSpaces",1);

//	m_ctrlSpinSpace.SetBuddy(GetDlgItem(IDC_EDIT_SPACES));
	m_ctrlSpinSpace.SetRange(0,50);

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CHtml2pdf::OnOK() 
{
	UpdateData(TRUE);
	char buffer[50];

	sprintf(buffer,"%d",m_charSpace);
	WritePrivateProfileString("PDF2HTM","CharSpaces",buffer,strInitFileName);

	AfxGetApp()->WriteProfileInt("PDF2HTM","CheckSpaces",m_bCheckSpace);
	
	CPropertyPage::OnOK();
}
void CHtml2pdf::SaveSetting()
{
}
