#if !defined(AFX_MYMENU_H__14A79F1F_7393_49E8_BF12_15E3A8EE5BAE__INCLUDED_)
#define AFX_MYMENU_H__14A79F1F_7393_49E8_BF12_15E3A8EE5BAE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>
#include "shadow.h"

///////////////////////////////////////////////////////////////////////////
//
class CMyMenu : public CMenu  
{
	DECLARE_DYNAMIC(CMyMenu)

public:

	struct MENUDATA
	{
		UINT  nID;
		UINT  nFlags;

		HICON hIconNormal;

		char szName[32];
	};

	bool bPopped;

	CMyMenu();
	virtual ~CMyMenu();
	
	CArray<MENUDATA*,MENUDATA*> m_MenuArray;

	CShadow m_MenuShadow;

	CMyMenu *hMenuParent;
	CArray<CMyMenu*, CMyMenu*> hMenuChild;

	//{{AFX_VIRTUAL(CMyMenu)
	//}}AFX_VIRTUAL
	static VOID WaitForMenu(HWND hWnd, UINT message, UINT iTimerID, DWORD dwTimer);

	void AppendMenu(char* szName, UINT nID = 0, UINT nFlags = 0, HICON nIconNormal = NULL);
	
	static HICON LoadIcon(UINT nResource);
		
	virtual void DrawItem(LPDRAWITEMSTRUCT);
	virtual void MeasureItem(LPMEASUREITEMSTRUCT);

	void SetParent(CMyMenu *hMenu);

	COLORREF hColorWhite;
	COLORREF hColorText;
	COLORREF hColorBlack;
	COLORREF hColorMenu;
	COLORREF hColorGray;
	COLORREF hColorMenuHL;
	COLORREF hColorMenuFHL;
	COLORREF hColorClear;

	int nIconWidth;
	int nIconHeight;

	LOGFONT m_lf;

	CFont m_fontMenu;
	CPen m_penBack;

	//{{AFX_MSG(CMyMenu)
	//}}AFX_MSG
};
///////////////////////////////////////////////////////////////////////////
//

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYMENU_H__14A79F1F_7393_49E8_BF12_15E3A8EE5BAE__INCLUDED_)
