// PDFPassword.cpp : implementation file
//

#include "stdafx.h"
#include "win_pdf2htm.h"
#include "PDFPassword.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPDFPassword property page

IMPLEMENT_DYNCREATE(CPDFPassword, CPropertyPage)

CPDFPassword::CPDFPassword() : CPropertyPage(CPDFPassword::IDD)
{
	//{{AFX_DATA_INIT(CPDFPassword)
	m_szOwnerPassword = _T("");
	m_szUserPassword = _T("");
	//}}AFX_DATA_INIT
}

CPDFPassword::~CPDFPassword()
{
}

void CPDFPassword::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPDFPassword)
	DDX_Text(pDX, IDC_EDIT_OWNERPASS, m_szOwnerPassword);
	DDX_Text(pDX, IDC_EDIT_USERPASS, m_szUserPassword);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPDFPassword, CPropertyPage)
	//{{AFX_MSG_MAP(CPDFPassword)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPDFPassword message handlers

void CPDFPassword::OnOK() 
{
	UpdateData(TRUE);
	AfxGetApp()->WriteProfileString("CPDFPassword","m_szOwnerPassword",m_szOwnerPassword);
	AfxGetApp()->WriteProfileString("CPDFPassword","m_szUserPassword",m_szUserPassword);
	
	CPropertyPage::OnOK();
}

BOOL CPDFPassword::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	m_szOwnerPassword = AfxGetApp()->GetProfileString("CPDFPassword","m_szOwnerPassword");
	m_szUserPassword = AfxGetApp()->GetProfileString("CPDFPassword","m_szUserPassword");
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
